Subject: RE: Is it possible to use centralized passwords with cygwin inetd ?
From: "Bruce P. Osler" <[email-masked]>
To: Vince Hoffman <[email-masked]>
Cc: "'Bruce P. Osler'" <[email-masked]>, [email-masked]
Date: Fri, 06 Dec 2002 09:35:24 -0500

I guess I was looking for something a bit more dynamic.  I understand
that I can create entries on my local machine which contain the domain
users password.  The issue for me is one of centralization.  Is there
a way I can bypass the local /etc/passwd file in order that cygwin
directly queries the network resource.  To do this I would imagine an
exchange similar to the following would have to be seen:

brosler@WHEREVER-NT ~
$ telnet brosler-nt
Trying 172.27.57.214...
Connected to brosler-nt.foobar.com.
Escape character is '^]'.

CYGWIN_NT-4.0 1.3.15(0.63/3/2) (brosler-nt) (tty0)

login: FOOBAR_ENG\brosler
password:

brosler-nt@BROSLER-nt ~
$

In this instance the /etc/passwd file would NOT contain an entry for
this specific user, but rather it would contain an entry for something
like "U-FOOBAR_ENG\everyone" or some such thing which would cause the
passwd agent to direct the query to the network instead of at the local
passwd file.

I mean, inside cisco there's something on the order of 40000 employees.
In my imediate group there's over 400.  The idea that all of them are
never going to change their password is ludicrous as well as the nature
of having to pull down 400 passwords on a periodic basis (NT reboots are
not an unknown :-)  As all this password stuff is already accounted for
on a network server somewhere in the ether, why not take advantage of it.

- Bruce

At 10:41 AM 12/6/2002 +0000, Vince Hoffman wrote:
>Cygwin fully supports domain users. just run `mkpasswd -d <domain name> >>
>/etc/passwd` on each box.
>(setup may run this automaticly these days i'm not sure so check if you
>already have a list of domain users in your passwd file.)
>
>
> > -----Original Message-----
> > From: Bruce P. Osler [mailto:[email-masked]]
> > Sent: 05 December 2002 22:04
> > To: [email-masked]
> > Cc: Bruce Osler
> > Subject: Is it possible to use centralized passwords with
> > cygwin inetd?
> >
> >
> > For starters - I'd like to contribute to the Cygwin love-fest going
> > on.  I think Cygwin is an awesome environment with huge benefits
> > for folks working under windows.
> >
> > Today I'm interested in finding out wether I can use networked
> > password services with the cygwin inetd.  At work I would like to
> > setup a series of computers with Cygwin tools all of which are
> > running the Cygwin inetd.  As there are a couple of hundred engineers
> > in this environment the option of maintaining multiple /etc/passwd
> > files is a bit onerous (if not unreasonable).  All of these computers
> > are already hooked into an environment where the user passwords are
> > provided and managed centrally to an NT domain.  Is there any way
> > I can have Cygwin/inetd use the central domain password service
> > for authentication?
> >
> > - Bruce
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/